/*------------------------------------*\
  detail
\*------------------------------------*/

.detail {
  @include media('>=sm') {
    display: flex;
    align-items: flex-start;
    .detail__section {flex: 1 50%;}
    .detail__section:first-child {
      order: 2;
      @include media('>=sm') {padding-bottom: $spacing-lg;}
    }
    .detail__section:last-child {
      order: 1;
      position: sticky;
      top: $header-lg-height;
    }
  }
}

.detail {
  .header,
  .detail__intro,
  .detail__content,
  .detail__info {
    @extend %content-max-width;
    @extend %padding;
  }
  .detail__tools {@extend %padding;}
}

.detail .header {
  margin-bottom: $spacing-sm;
}

.detail .index {
  padding-top: $spacing-xl;
}

.detail__text {
  max-width: $content-max-width;
}

.detail__title {@extend .ts-title;}
.detail__time {@extend .ts-label;}

.detail .gallery {
  @extend %padding;
  @include media('<sm') {
    margin-top: $spacing-lg;
  }
}
.detail__intro {
  margin-bottom: $spacing-sm;
  p {
    @extend .ts-subtitle;
    margin-bottom: 0;
  }
}
.detail__info {
  .detail__intro +  & {
    margin-top: -$spacing-xs;
  }
}
.detail__author {
  @extend .ts-label;
}

// show & video - header text
.detail--video,
.detail--show {
  .header .header__text {
    display: flex;
    flex-flow: row wrap;
    .detail__title {flex: 1 100%;}
    .detail__time {margin-right: $grid-gutter-width/2;}
  }
}


// tools
.detail__tools {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: $spacing-sm;
  a {
    display: block;
    padding: $spacing-xxs $spacing-xs;
    @extend .ts-label;
    @include ts-link($body-color);
    color: $body-color;
    background-color: $base-color;
    margin-right: $spacing-xs;
    margin-bottom: $spacing-xs;
  }
}

// page
.detail--page {
  .body li {
    @extend .ts-body-text;
    text-transform: none;
    &:before {content: "→";}
  }
}
